## node-mysql 2.0.0~alpha8

=== Makefile ===
test:
	node test/run.js

.PHONY: test

=== debian/changelog ===
node-mysql (2.0.0~alpha8-1) unstable; urgency=low

  * Initial release. (Closes: #708977).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 May 2013 02:14:35 +0200

=== debian/control ===
Source: node-mysql
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 8.0.0),
 dh-buildinfo,
Standards-Version: 3.9.4
Homepage: https://github.com/felixge/node-mysql
Vcs-Git: git://git.debian.org/collab-maint/node-mysql.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-mysql.git

Package: node-mysql
Architecture: all
Depends:
 ${misc:Depends},
 nodejs (>= 0.6.19~dfsg1-3~),
 node-require-all (>= 0.0.3),
 node-bignumber (>= 1.0.1),
Description: MySQL client implementation for Node.js
 Implementation of the MySQL protocol for Node.js.
 .
 This MySQL module provides non-blocking I/O with MySQL databases. It is written
 in pure Javascript and there is no dependency on external C libraries such as
 libmysql.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs Changes.md

## node-mysql 2.0.0-alpha3+1

=== debian/changelog ===
node-mysql (2.0.0-alpha3+1) unstable; urgency=low

  * Fixed path (doh!)

 -- Gabriele Santilli <gabriele@prolific.com>  Mon, 24 Sep 2012 22:54:37 +0200

node-mysql (2.0.0-alpha3) unstable; urgency=low

  * Initial Release.

 -- Gabriele Santilli <gabriele@prolific.com>  Mon, 24 Sep 2012 21:26:32 +0200

=== node_modules/require-all/debian/changelog ===
node-require-all (0.0.3-1) unstable; urgency=low

  * Fixed path (doh!)

 -- Gabriele Santilli <gabriele@prolific.com>  Mon, 24 Sep 2012 22:53:24 +0200

node-require-all (0.0.3) unstable; urgency=low

  * Initial Release.

 -- Gabriele Santilli <gabriele@prolific.com>  Mon, 24 Sep 2012 21:19:45 +0200

=== debian/control ===
Source: node-mysql
Section: web
Priority: optional
Maintainer: Gabriele Santilli <gabriele@prolific.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: node-mysql
Architecture: all
Depends: ${misc:Depends}, nodejs, node-require-all
Description: MySQL client module for NodeJS
 This NodeJS module allows connecting to MySQL servers.

## node-mysql 2.4.2

=== debian/changelog ===
node-mysql (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/control:
    + Add B-D: nodejs. As required by Node.js module packaging policy.
    + Upgrade versioned D (node-mysql): nodejs (>= 0.10.0).
    + Alioth-canonicalize Vcs-*: fields.
    + Move packaging Git to pkg-javascript namespace on Alioth.
    + Bump Standards: to 3.9.5. No changes needed.
  * autopkgtest:
    + Use Autopkgtest to test package integrity.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Aug 2014 15:00:19 +0200

=== debian/control ===
Source: node-mysql
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 8.0.0),
 dh-buildinfo,
 nodejs,
Standards-Version: 3.9.5
Homepage: https://github.com/felixge/node-mysql
XS-Testsuite: autopkgtest
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-mysql.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-mysql.git

Package: node-mysql
Architecture: all
Depends:
 ${misc:Depends},
 nodejs (>= 0.10.0),
 node-require-all (>= 0.0.3),
 node-bignumber (>= 1.0.1),
Description: MySQL client implementation for Node.js
 Implementation of the MySQL protocol for Node.js.
 .
 This MySQL module provides non-blocking I/O with MySQL databases. It is written
 in pure Javascript and there is no dependency on external C libraries such as
 libmysql.

## node-mysql 2.10.2

=== debian/changelog ===
node-mysql (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + add myself to Uploaders:
    + bump debhelper level to 9
    + use secure VCS URLs
    + remove obsolete XS-Testsuite:

  [Jérémy Lal]
  * Patch: no need to require readable-stream,
    just require stream instead. Closes: #802807.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Mar 2016 22:38:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
+ Mike Gabriel <sunweaver@debian.org>
+ , Thorsten Alteholz <debian@alteholz.de>
 Build-Depends:
- debhelper (>= 8.0.0),
+ debhelper (>= 9.0.0),
  dh-buildinfo,
  nodejs,
 Standards-Version: 3.9.5
 Homepage: https://github.com/felixge/node-mysql
-XS-Testsuite: autopkgtest
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-mysql.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-mysql.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-mysql.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-mysql.git
 
 Package: node-mysql
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes.md
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: require
Depends: node-mysql

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mysql-$1.tar.gz/ \
https://github.com/felixge/node-mysql/tags .*/archive/v?([\d\.]+).tar.gz

## node-mysql 2.16.0

=== debian/changelog ===
node-mysql (2.16.0-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Remove debian/examples: not examples
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:43:30 +0200

node-mysql (2.16.0-1) unstable; urgency=medium

  * Team upload

  [ Mike Gabriel ]
  * debian/control: Drop myself from Uploaders: field.

  [ Xavier Guimard ]
  * New upstream version 2.16.0
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Change section to javascript
  * Change priority to optional
  * Fix VCS fields
  * Add upstream/metadata
  * Update debian/copyright
  * Add minimal test using pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Feb 2019 18:35:14 +0100

=== debian/control ===
Source: node-mysql
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 12),
               nodejs,
               node-require-all,
               node-bignumber,
               pkg-js-tools (>= 0.8.8)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/js-team/node-mysql
Vcs-Git: https://salsa.debian.org/js-team/node-mysql.git
Homepage: https://github.com/felixge/node-mysql

Package: node-mysql
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-require-all,
         node-bignumber
Description: MySQL client implementation for Node.js
 Implementation of the MySQL protocol for Node.js.
 .
 This MySQL module provides non-blocking I/O with MySQL databases. It is written
 in pure Javascript and there is no dependency on external C libraries such as
 libmysql.

## node-mysql 2.17.1

=== debian/changelog ===
node-mysql (2.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.17.1
  * Fix minimal version of node-bignumber

 -- Xavier Guimard <yadd@debian.org>  Tue, 10 Sep 2019 21:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                nodejs,
                node-require-all,
-               node-bignumber,
+               node-bignumber (>= 7.2.1~),
                pkg-js-tools (>= 0.8.8)
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mysql

## node-mysql 2.18.1

=== debian/changelog ===
node-mysql (2.18.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.18.1
  * Update metadata

 -- Xavier Guimard <yadd@debian.org>  Sun, 26 Jan 2020 11:55:04 +0100

node-mysql (2.18.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * New upstream version 2.18.0 (Closes: 934712, CVE-2019-14939)
  * Remove readable_stream.patch

 -- Xavier Guimard <yadd@debian.org>  Wed, 22 Jan 2020 06:36:33 +0100

node-mysql (2.17.1-2) unstable; urgency=medium

  * Team upload
  * Embed components: sqlstring (Closes: #941567)
  * Remove node-require-all from dependencies
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Oct 2019 06:25:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends: debhelper-compat (= 12),
                nodejs,
-               node-require-all,
                node-bignumber (>= 7.2.1~),
-               pkg-js-tools (>= 0.8.8)
-Standards-Version: 4.4.0
+               node-readable-stream,
+               pkg-js-tools (>= 0.9.12~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mysql
 Vcs-Git: https://salsa.debian.org/js-team/node-mysql.git
 Homepage: https://github.com/felixge/node-mysql
+Rules-Requires-Root: no
 
 Package: node-mysql
 Architecture: all
 Depends: ${misc:Depends},
          nodejs,
-         node-require-all,
-         node-bignumber
+         node-bignumber,
+         node-readable-stream
 Description: MySQL client implementation for Node.js
  Implementation of the MySQL protocol for Node.js.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_installchangelogs:
	dh_installchangelogs Changes.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mysql-$1.tar.gz/ \
https://github.com/felixge/node-mysql/tags .*/archive/v?([\d\.]+).tar.gz


opts=\
component=sqlstring,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sqlstring-$1.tar.gz/ \
 https://github.com/mysqljs/sqlstring/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-mysql 2.18.1%2B~2.3.2

=== debian/changelog ===
node-mysql (2.18.1+~2.3.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-mysql: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 12:35:24 +0000

node-mysql (2.18.1+~2.3.2-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
    * Add ctype=nodejs to component(s)
    * Fix GitHub tags regex
    * Fix filenamemangle
    * Use uscan group
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Drop dependency to nodejs
  * New upstream version 2.18.1+~2.3.2: updates sqlstring from 2.3.1 to 2.3.2
  * Install sqlstring in nodejs dir

 -- Yadd <yadd@debian.org>  Tue, 16 Nov 2021 12:45:00 +0100

## node-mysql 2.18.1+~2.3.2

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: javascript
 Priority: optional
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends: debhelper-compat (= 12),
-               nodejs,
+Build-Depends: debhelper-compat (= 13),
                node-bignumber (>= 7.2.1~),
                node-readable-stream,
-               pkg-js-tools (>= 0.9.12~)
-Standards-Version: 4.5.0
+               dh-sequence-nodejs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-mysql
 Vcs-Git: https://salsa.debian.org/js-team/node-mysql.git
 Homepage: https://github.com/felixge/node-mysql
@@ -18,9 +17,9 @@
 Package: node-mysql
 Architecture: all
 Depends: ${misc:Depends},
-         nodejs,
          node-bignumber,
          node-readable-stream
+Provides: ${nodejs:Provides}
 Description: MySQL client implementation for Node.js
  Implementation of the MySQL protocol for Node.js.
  .

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mysql-$1/ \
https://github.com/felixge/node-mysql/tags .*/archive/.*/v?([\d\.]+).tar.gz group


opts=\
ctype=nodejs,\
component=sqlstring,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-sqlstring-$1/ \
 https://github.com/mysqljs/sqlstring/tags .*/archive/.*/v?([\d\.]+).tar.gz group
